[android-components](../index.md) / [mozilla.components.concept.fetch.interceptor](./index.md)

## Package mozilla.components.concept.fetch.interceptor

### Types

| Name | Summary |
|---|---|
| [Interceptor](-interceptor/index.md) | `interface Interceptor`<br>An [Interceptor](-interceptor/index.md) for a [Client](../mozilla.components.concept.fetch/-client/index.md) implementation. |

### Functions

| Name | Summary |
|---|---|
| [withInterceptors](with-interceptors.md) | `fun `[`Client`](../mozilla.components.concept.fetch/-client/index.md)`.withInterceptors(vararg interceptors: `[`Interceptor`](-interceptor/index.md)`): `[`Client`](../mozilla.components.concept.fetch/-client/index.md)<br>Creates a new [Client](../mozilla.components.concept.fetch/-client/index.md) instance that will use the provided list of [Interceptor](-interceptor/index.md) instances. |
